version: "3"

services:
  xiao-service:
    build: 
      context: .
      dockerfile: xiao-service.dev.Dockerfile
      target: xiao-service
    ports:
      - 3001:3001
      # for remote debugging
      - 9229:9229
    volumes:
      - .:/home/node/xiao-service
    environment:
      - NODE_ENV=development
      - POSTGRES_USER=engineer
      - POSTGRES_HOST=postgres
      - POSTGRES_DATABASE=engineer
      - POSTGRES_PASSWORD=engineer
      - POSTGRES_PORT=5432
      - PORT=3001
      - JWT_TOKEN_KEY=c689452c-9ce4-4c24-8c8c-1f6f9bee2a43
    links: 
      - postgres
  postgres:
      image: postgres
      restart: always
      environment:
        POSTGRES_USER: engineer
        POSTGRES_PASSWORD: engineer
      volumes:
        - /var/lib/postgresql/data
      ports:
        - 3003:5432